## org.metaabm.validation
Interface SAgentValidator

    public interface SAgentValidator

A sample validator interface for `SAgent`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateOwner(SContext value)`
`boolean` `validateStyles(org.eclipse.emf.common.util.EList<SStyle> value)`

Method Detail

### validate

    boolean validate()

### validateStyles

    boolean validateStyles(org.eclipse.emf.common.util.EList<SStyle> value)

### validateOwner

    boolean validateOwner(SContext value)